body {
  padding: 0;
  margin: 0;
  background-color: black;
  overflow: hidden;
}

@keyframes backgroundAnimation {
  0% {
    background-color: #addaef;
  }

  25% {
    background-color: #ff7e15;
  }

  50% {
    background-color: #ac5ad6;
  }

  75% {
    background-color: #ff7e15;
  }

  100% {
    background-color: #ac5ad6;
  }
}

#element-container {
  position: absolute;
  display: block;
  width: 100%;
  height: 100%;
}

#unity-container {
  position: absolute;
  display: block;
  width: 80vw;
  aspect-ratio: 16/9;
  z-index: 1;
}

#unity-container.unity-desktop {
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%)
}

#unity-container.unity-mobile {
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%)
}

#unity-canvas {
  animation: backgroundAnimation 9s ease infinite;
  position: absolute;
  /* aspect-ratio: 16/9; */
  z-index: 2;
  width: 100%;
  height: 100%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.unity-mobile #unity-canvas {
  aspect-ratio: 16/9;
}

#unity-loading-bar {
  position: absolute;
  z-index: 3;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  display: none
}

#version-display {
  position: absolute;
  bottom: 0;
  right: 0;
  padding: 10px;
  margin: 0;
  color: white;
  font-size: 16px;
}

/*#unity-logo { width: 154px; height: 130px; background: url('unity-logo-dark.png') no-repeat center }*/
@keyframes jumpAndRotateLogo {

  0%,
  100% {
    transform: translateY(0) rotateY(0);
  }

  50% {
    transform: translateY(-20px) rotateY(180deg);
  }
}

#unity-logo {
  width: 154px;
  height: 130px;
  background: url('logo.png') no-repeat center;
  background-size: contain;
  transform-style: preserve-3d;
  animation: jumpAndRotateLogo 1s cubic-bezier(0.175, 0.885, 0.32, 1.275) infinite;
}



#unity-progress-bar-empty {
  width: 141px;
  height: 30px;
  margin-top: 10px;
  margin-left: 6.5px;
  background: url('progress-bar-empty-dark.png') no-repeat center;
  border-radius: 40px;
}

/*@keyframes progressBarAnimation {
  0% {
    width: 0%;
    transform: scaleX(0) translateZ(0);
  }
  100% {
    width: 100%;
    transform: scaleX(1) translateZ(0);
  }
}

#unity-progress-bar-full {
  animation: progressBarAnimation 2s ease forwards;
  transform-origin: left center;
}
*/
#unity-progress-bar-full {
  width: 0%;
  height: 30px;
  margin-top: 10px;
  background: url('progress-bar-full-dark.png') no-repeat center;
  border-radius: 40px;
}

#unity-footer {
  position: absolute;
  top: 0;
  right: 0;
}

.unity-mobile #unity-footer {
  display: none
}

#unity-webgl-logo {
  float: left;
  width: 204px;
  height: 38px;
  background: url('webgl-logo.png') no-repeat center
}

#unity-build-title {
  float: right;
  margin-right: 10px;
  line-height: 38px;
  font-family: arial;
  font-size: 18px;
  color: white;
}

#unity-fullscreen-button {
  cursor: pointer;
  position: absolute;
  top: 5%;
  right: 20px;
  width: 38px;
  height: 38px;
  background: no-repeat center;
  background-image: url('fullscreen-button.png');
  visibility: hidden
}

#unity-warning {
  position: absolute;
  left: 50%;
  top: 5%;
  transform: translate(-50%);
  background: white;
  padding: 10px;
  display: none
}

/*Added by developer*/
#overlay {
  position: fixed;
  display: none;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.9);
  z-index: 2;
  cursor: pointer;
}

#text {
  position: absolute;
  top: 40%;
  left: 50%;
  font-size: 35px;
  text-align: center;
  color: white;
  transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
}

.screenRotation {
  width: 70px;
  height: 110px;
  background-color: black;
  border: 5px solid white;
  position: relative;
  top: 50px;
  left: 40%;
  justify-content: center;
  align-items: center;
  font-size: 20px;
  font-weight: bold;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  transition: transform 1s ease-in-out;
}

@keyframes rotateScreen {
  0% {
    transform: rotate(0deg);
  }

  50% {
    transform: rotate(90deg);
  }

  100% {
    transform: rotate(0deg);
  }
}

.rotate {
  animation: rotateScreen 2s infinite alternate ease-in-out;
}

.submenu {
  display: none;
  animation: fadeInWiggle 0.5s ease-in-out;
}

@keyframes fadeInWiggle {
  0% {
    opacity: 0;
    transform: scale(0.8);
  }

  50% {
    transform: scale(2.15);
  }

  100% {
    opacity: 1;
    transform: scale(1);
  }
}

/** Container for the buttons **/
.btn-container-microphone {
  top: 40%;
  right: 15px;
  position: absolute;
  display: flex;
  flex-direction: column;
  align-items: center;
  /* Center horizontally */
  /* z-index: 2147482650; */
  visibility: visible;
}

/** To make a disabled effect **/
.btn-transparent {
  background-color: transparent;
  border: none;
  cursor: pointer;
  display: block;
}

.btn-transparent:disabled {
  opacity: 0.5;
  /* Adjust the opacity value as desired */
}

/** To hide the audio player **/
#audioPlayer {
  display: none;
}

/** The indicator for the recording style (the waves) **/
#recordingIndicator {
  position: absolute;
  top: 50px;
  right: 12px;
}
